Subject: Re: PPC 32bits and big RAM mapping problem

From: Matt Porter <[email-masked]>
Date: Thu, 1 Dec 2005 11:56:21 -0700

On Thu, Dec 01, 2005 at 12:43:02PM -0600, Rune Torgersen wrote:
> > -----Original Message-----
> > From: Laurent Lagrange
> > Sent: Thursday, December 01, 2005 11:48
> > To: [email-masked]
> > Subject: PPC 32bits and big RAM mapping problem
> 
> > So I'm under the impression to be cornered in my shoes.
> > Any idea, book, article, prediction would be welcome.
> 
> I have 2GB of ram working on my PPC32 board.
> 
> You have to change the following in the kernel config:
> Under Advanced Setup:
> 	Set Maximum Low memory (Set to 0x40000000)
> 	Set Custom Kernel config address (Set to 0xA0000000)
> 
> I do not remember if I had to change anything else.

If you have 2GB you had to have something else. Right now
you have it set to constrict the max lowmem to 1GB. So,
you must have CONFIG_HIGHMEM on as well to utilize the
other 1GB.

To answer the original poster's question: simply enable
CONFIG_HIGHMEM and UP system will have 768MB in lowmem and
the rest in highmem.  If there's some constraint on your
application (like many embedded apps) that requires all
2GB in lowmem then configure:

Set Maximum low memory (Set to 0x80000000)
Set custom kernel base address (Set to 0x40000000)
Set custom user task size (Set to 0x40000000)

Don't do this unless highmem won't work for your app. If you
use this approach each process will be limited to 1GB of virtual
memory which may or may not be an OK tradeoff for your app.

-Matt